﻿(function () {

    "use strict";

    angular.module("enrDetailsPaneModule")
           .directive("detailsOfficeRaceVotes", [function () {
               return {
                   templateUrl: "Scripts/EnrAngular/EnrDetailsPane/detailsOfficeRaceVotes.html",
                   scope: { raceName: "=", candidateList: "=", showRaceName: "=" },
                   controller: "detailsOfficeRaceVotesController",
                   restrict: "E"
               };
           }])

           .controller("detailsOfficeRaceVotesController", ["$scope", function ($scope) {
               $scope.isRaceNameVisible = function () {
                   return $scope.showRaceName === true ? "" : "hidden";
               }
           }]);

}());
